apiVersion: argoproj.io/v1alpha1
kind: Application
metadata:
  name: istio-deployment-crd
  namespace: argocd
  annotations:
    argocd.argoproj.io/sync-wave: "-7"
  finalizers:
    - resources-finalizer.argocd.argoproj.io
spec:
  # Where we are deploying to
  destination:
    namespace: istio-system
    server: https://kubernetes.default.svc
  # Which project this Application belongs to
  project: default
  # Where this Application has its source
  source:
    repoURL: https://gitlab.com/emctl-gitops-demo/misc-testing/argo-target.git
    targetRevision: HEAD
    path: argocd-bootstrap/applications/master-app/istio/crds
  # More on this later...
  syncPolicy:
    automated:
      prune: true
      selfHeal: true
      allowEmpty: true
    syncOptions:
      - CreateNamespace=true
      - Validate=false